Name:           gnome-xcf-thumbnailer
Version:        1.0
Release:        3%{?dist}
Summary:        Thumbnailer for XCF files

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://ftp.gnome.org/pub/GNOME/sources/gnome-xcf-thumbnailer/
Source0:        http://download.gnome.org/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  GConf2
BuildRequires:  glib2-devel
BuildRequires:  libpng-devel
BuildRequires:  popt-devel
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun):GConf2

%description
Thumbnailer for GIMP's own format, XCF files.


%prep
%setup -q


%build
%configure \
  --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
  gconftool-2 \
    --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 \
  --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
  gconftool-2 \
    --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS TODO
%{_bindir}/gnome-xcf-thumbnailer
%{_sysconfdir}/gconf/schemas/*.schemas


%changelog
* Tue Feb 17 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.0-3
- Remove %%config tag for GConf schema files

* Tue Jan 26 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.0-2
- Update %%files section

* Tue Dec 29 2009 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.0-1
- Initial RPM release
